# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`sudosh`](#sudosh): sudosh class  This class installs sudosh and optionally configures rsyslog and logrotate.

## Classes

### <a name="sudosh"></a>`sudosh`

sudosh class

This class installs sudosh and optionally configures rsyslog and logrotate.

#### Examples

##### Ensuring all sudo operations are run with sudosh

```puppet
Insert the following code in an appropriate manifest (e.g.,
/etc/puppet/manifests/nodes/default_classes/base_config.pp).

  sudo::user_specification { 'global_admin':
    user_list => '%administrators',
    host_list => 'ALL',
    runas => 'ALL',
    cmnd => '/usr/bin/sudosh',
    passwd => 'false'
  }
```

#### Parameters

The following parameters are available in the `sudosh` class:

* [`syslog`](#-sudosh--syslog)
* [`logrotate`](#-sudosh--logrotate)
* [`package_ensure`](#-sudosh--package_ensure)

##### <a name="-sudosh--syslog"></a>`syslog`

Data type: `Boolean`

Whether to include SIMP's ::rsyslog class and use it to create
a specific log file for sudosh (/var/log/sudosh.log)

Default value: `simplib::lookup('simp_options::syslog', { 'default_value' => false })`

##### <a name="-sudosh--logrotate"></a>`logrotate`

Data type: `Boolean`

Whether to include SIMP's logrotate class and to use it
to create a log rotate rule for the sudosh log file.

Default value: `simplib::lookup('simp_options::logrotate', { 'default_value' => false })`

##### <a name="-sudosh--package_ensure"></a>`package_ensure`

Data type: `String`



Default value: `simplib::lookup('simp_options::package_ensure', { 'default_value' => 'installed' })`

